import React, { Component } from "react";
import { SidebarItem } from "../../../CommonUI/BuildUI/Sidebar";
import { ValueTableDefinition } from "./ValueTableDefinition";
import { ValueTableRuleEditContext } from "./ValueTableRuleEditContext";
export interface IValueTableRuleEditor {
    ruleDefinition: ValueTableDefinition;
    title?: string;
    onRuleSave?: () => void;
    onRuleCancel?: () => void;
}
export declare class XValueTableRuleEditor extends Component<IValueTableRuleEditor, any> {
    tabs: SidebarItem[];
    ruleDefinition: ValueTableDefinition;
    editContext: ValueTableRuleEditContext;
    constructor(props: IValueTableRuleEditor);
    onChangeRuleTitle(event: React.ChangeEvent<HTMLInputElement>): void;
    getDefaultTabs(): SidebarItem[];
    render(): JSX.Element;
}
